import 'package:boilerplate/core/styles/my_colors.dart';
import 'package:boilerplate/domain/entities/product/meeting_purpose_data.dart';
import 'package:flutter/material.dart';

import '../../../../../core/i18n/translations.g.dart';
import '../../../../../core/styles/my_dimensions.dart';
import '../../../../../core/styles/my_font.dart';

class PurposeMeeting extends StatelessWidget {
  final List<MeetingPurposeData> purposes = [
    MeetingPurposeData(id: 1, name: AppLocalizations.products.need_detail_more),
    MeetingPurposeData(id: 2, name: AppLocalizations.products.need_price_offer),
    MeetingPurposeData(id: 3, name: AppLocalizations.products.other),
  ];

  PurposeMeeting({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          AppLocalizations.products.date_meeting,
          style: MyFont.medium20,
        ),
        SizedBox(height: MyDimens.dimen12),
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: purposes.map((e) {
            return Padding(
              padding: EdgeInsets.only(bottom: MyDimens.dimen12),
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  ConstrainedBox(
                    constraints: BoxConstraints(
                      maxHeight: MyDimens.dimen16,
                      maxWidth: MyDimens.dimen16,
                      minHeight: MyDimens.dimen16,
                      minWidth: MyDimens.dimen16,
                    ),
                    child: Checkbox(
                      value: false,
                      onChanged: (v) {},
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(5),
                      ),
                      side: BorderSide(
                        color: MyColor.orange,
                      ),
                      checkColor: Colors.white,
                      activeColor: MyColor.orange,
                    ),
                  ),
                  SizedBox(width: MyDimens.dimen8),
                  Text(
                    e.name,
                    style: MyFont.regular16.copyWith(
                      color: Color(0xFF494949),
                    ),
                  ),
                ],
              ),
            );
          }).toList(),
        )
      ],
    );
  }
}
